<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:7d7bef25-d733-4b79-a90e-dcf773efdb75,g:ab55ca71-887a-4b01-81ea-6ad7c5520164-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://mckesson123.com/role/CoverPage" xlink:type="simple" xlink:href="mck-20221107.xsd#CoverPage"/>
  <link:presentationLink xlink:role="http://mckesson123.com/role/CoverPage" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_dei_CoverAbstract_b939c422-a89d-484e-a1b4-4d77cae1a242" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntitiesTable_7efa51fe-ceda-479d-8812-dc1a31ceddf0" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntitiesTable"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b939c422-a89d-484e-a1b4-4d77cae1a242" xlink:to="loc_dei_EntitiesTable_7efa51fe-ceda-479d-8812-dc1a31ceddf0" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StatementClassOfStockAxis_bcd6202c-207f-412d-80ed-5a83baa369f1" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StatementClassOfStockAxis"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntitiesTable_7efa51fe-ceda-479d-8812-dc1a31ceddf0" xlink:to="loc_us-gaap_StatementClassOfStockAxis_bcd6202c-207f-412d-80ed-5a83baa369f1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ClassOfStockDomain_842178af-1219-4b88-85a1-173950bb20c5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ClassOfStockDomain"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_us-gaap_StatementClassOfStockAxis_bcd6202c-207f-412d-80ed-5a83baa369f1" xlink:to="loc_us-gaap_ClassOfStockDomain_842178af-1219-4b88-85a1-173950bb20c5" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommonStockMember_01ce80e5-e383-455a-9352-f3b37960faa0" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommonStockMember"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_us-gaap_ClassOfStockDomain_842178af-1219-4b88-85a1-173950bb20c5" xlink:to="loc_us-gaap_CommonStockMember_01ce80e5-e383-455a-9352-f3b37960faa0" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_mck_A1.500NotesDue2025Member_d8dff3d8-fd05-4d0c-8227-db0ee5f8b359" xlink:href="mck-20221107.xsd#mck_A1.500NotesDue2025Member"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_us-gaap_ClassOfStockDomain_842178af-1219-4b88-85a1-173950bb20c5" xlink:to="loc_mck_A1.500NotesDue2025Member_d8dff3d8-fd05-4d0c-8227-db0ee5f8b359" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_mck_A1.625NotesDue2026Member_df94b301-1b9c-4a32-9150-6e8d8611ef92" xlink:href="mck-20221107.xsd#mck_A1.625NotesDue2026Member"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_us-gaap_ClassOfStockDomain_842178af-1219-4b88-85a1-173950bb20c5" xlink:to="loc_mck_A1.625NotesDue2026Member_df94b301-1b9c-4a32-9150-6e8d8611ef92" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_mck_A3.125NotesDue2029Member_f2abec3b-cb5a-4891-94ea-bb1ccdc4eb94" xlink:href="mck-20221107.xsd#mck_A3.125NotesDue2029Member"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_us-gaap_ClassOfStockDomain_842178af-1219-4b88-85a1-173950bb20c5" xlink:to="loc_mck_A3.125NotesDue2029Member_f2abec3b-cb5a-4891-94ea-bb1ccdc4eb94" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityInformationLineItems"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntitiesTable_7efa51fe-ceda-479d-8812-dc1a31ceddf0" xlink:to="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_1c9a4b69-3b1a-4a4f-bc26-864bf4083a5b" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentType"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_DocumentType_1c9a4b69-3b1a-4a4f-bc26-864bf4083a5b" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_ab3de6d6-0e7e-4fb6-8644-6816c850380f" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_DocumentPeriodEndDate_ab3de6d6-0e7e-4fb6-8644-6816c850380f" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_6ab8333b-341b-4527-bdfd-5127a80d4305" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityRegistrantName_6ab8333b-341b-4527-bdfd-5127a80d4305" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_99692f22-3d43-4a15-9ca6-10b046b07bd2" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityCentralIndexKey_99692f22-3d43-4a15-9ca6-10b046b07bd2" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_e0012bb2-d671-430f-a051-8a320a0944b1" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityFileNumber_e0012bb2-d671-430f-a051-8a320a0944b1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_d604aca6-2562-4298-827a-9da1100cacb2" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityIncorporationStateCountryCode_d604aca6-2562-4298-827a-9da1100cacb2" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_da36244c-339e-47fb-9701-1604fb12f550" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityTaxIdentificationNumber_da36244c-339e-47fb-9701-1604fb12f550" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_c34ec036-02a0-491e-87f0-70f2ad8c1931" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityAddressAddressLine1_c34ec036-02a0-491e-87f0-70f2ad8c1931" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_70c2e4e5-ebe9-43df-a5b3-d85b11a31689" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityAddressCityOrTown_70c2e4e5-ebe9-43df-a5b3-d85b11a31689" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_9fdada8e-4653-40d4-ab32-72436b2c2500" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityAddressStateOrProvince_9fdada8e-4653-40d4-ab32-72436b2c2500" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_10cbc4ab-3ebd-4513-ad8d-c5ebf702ba94" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityAddressPostalZipCode_10cbc4ab-3ebd-4513-ad8d-c5ebf702ba94" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_1f9cd65c-a47d-4f1c-b325-976e509d92b5" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_SecurityExchangeName_1f9cd65c-a47d-4f1c-b325-976e509d92b5" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_53fe83fa-5cf2-47e5-b4bb-3bedae049512" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_CityAreaCode_53fe83fa-5cf2-47e5-b4bb-3bedae049512" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_a2a0a9b9-1993-4a7a-9634-d2f5de7888d3" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_LocalPhoneNumber_a2a0a9b9-1993-4a7a-9634-d2f5de7888d3" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_edd418de-954d-4073-ac40-7c3aeb33a152" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_Security12bTitle_edd418de-954d-4073-ac40-7c3aeb33a152" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_7cbb636b-0223-4785-b039-3dd7cd977507" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_TradingSymbol_7cbb636b-0223-4785-b039-3dd7cd977507" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_b851021b-c03e-456b-8a6a-fc774c09e043" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_WrittenCommunications_b851021b-c03e-456b-8a6a-fc774c09e043" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_95a9a369-4c04-4429-a80e-160deecc17b1" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_SolicitingMaterial_95a9a369-4c04-4429-a80e-160deecc17b1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_d21c4743-bdfb-4eea-bc03-06fa925c77f4" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_d21c4743-bdfb-4eea-bc03-06fa925c77f4" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_55a5a818-dcb6-4439-9fb7-7d32394a5a90" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_PreCommencementTenderOffer_55a5a818-dcb6-4439-9fb7-7d32394a5a90" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_2abddd6a-79c5-4928-a830-f2e7978dedc1" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_EntityEmergingGrowthCompany_2abddd6a-79c5-4928-a830-f2e7978dedc1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_48942582-def2-483c-acd4-2dbb721b89d1" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_EntityInformationLineItems_5e101c65-85df-4b3c-a062-5e301d9eb279" xlink:to="loc_dei_AmendmentFlag_48942582-def2-483c-acd4-2dbb721b89d1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
